Skip to main content
GET
/
1
/
query_annotations
/
{datasetSlug}
List Query Annotations
curl --request GET \
  --url https://api.honeycomb.io/1/query_annotations/{datasetSlug} \
  --header 'X-Honeycomb-Team: <api-key>'
import requests

url = "https://api.honeycomb.io/1/query_annotations/{datasetSlug}"

headers = {"X-Honeycomb-Team": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Honeycomb-Team': '<api-key>'}};

fetch('https://api.honeycomb.io/1/query_annotations/{datasetSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "name": "My Named Query",
    "query_id": "mabAMpSPDjH",
    "description": "A nice description of My Named Query",
    "id": "sGUnkBHgRFN",
    "created_at": "2022-10-26T21:36:04Z",
    "updated_at": "2022-12-04T08:14:26Z",
    "source": "query"
  }
]
{
"error": "<string>"
}
{
"error": "Rate Limited"
}
{
"error": "<string>"
}

Authorizations

X-Honeycomb-Team
string
header
required

Authenticate using a Honeycomb Configuration Key.

Pass the Token in the X-Honeycomb-Team header:

X-Honeycomb-Team: 1234567890123456789012

If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.

To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.

Path Parameters

datasetSlug
string
required

The dataset slug or use __all__ for endpoints that support environment-wide operations.

Query Parameters

include_board_annotations
boolean
default:false

Whether to include Query Annotations that were created from boards. By default, only Query Annotations created directly from queries are returned.

Response

Success

name
string
required

A name for the Query.

Required string length: 1 - 320
Example:

"My Named Query"

query_id
string
required

The ID of the Query that the annotation describes. Note: Once created, it is NOT possible to change the query ID associated with an annotation. It is possible to have multiple annotations associated with a Query.

Example:

"mabAMpSPDjH"

description
string

A description of the Query.

Maximum string length: 1023
Example:

"A nice description of My Named Query"

id
string
read-only

The unique identifier (ID) of a Query Annotation.

Example:

"sGUnkBHgRFN"

created_at
string<date-time>
read-only

ISO8601 formatted time when the Query Annotation was created.

Example:

"2022-10-26T21:36:04Z"

updated_at
string<date-time>
read-only

ISO8601 formatted time when the Query Annotation was updated.

Example:

"2022-12-04T08:14:26Z"

source
enum<string>
read-only

The source of the Query Annotation.

Available options:
query,
board
Example:

"query"